# The contents of this file are subject to the Mozilla Public
# License Version 1.1 (the "License"); you may not use this file
# except in compliance with the License. You may obtain a copy of
# the License at http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS
# IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
# implied. See the License for the specific language governing
# rights and limitations under the License.
#
# The Initial Developer of the Original Code is Everything Solved.
# Portions created by Everything Solved are Copyright (C) 2007
# Everything Solved. All Rights Reserved.
#
# The Original Code is the Bugzilla Bug Tracking System.
#
# Contributor(s): Max Kanat-Alexander <mkanat@bugzilla.org>

# This file contains a single hash named %strings, which is used by the
# installation code to display strings before Template-Toolkit can safely
# be loaded.
#
# Each string supports a very simple substitution system, where you can
# have variables named like ##this## and they'll be replaced by the string
# variable with that name.
#
# Please keep the strings in alphabetical order by their name.

%strings = (
    any  => 'всяка',
    apachectl_failed => <<END,
ПРЕДУПРЕЖДЕНИЕ: Не можем да проверим настройката на Apache. Това понякога
се случва когато не пускате checksetup.pl като ##root##. За да видите
проблема на който се натъкнахме, пуснете: ##command##
END
    bad_executable => 'недействителен изпълним файл: ##bin##',
    blacklisted => '(в черния списък)',
    bz_schema_exists_before_220 => <<'END',
Надграждате от версия преди 2.20, но bz_schema таблицата
вече съществува. Това означава, че сте възстановили mysqldump в Bugzilla
базата данни без първо да премахнете вече съществуващата Bugzilla база данни,
в даден момент. Когато възстановявате Bugzilla база данни от резервно копие, трябва първо
да махате цялата база.

Моля, премахнете Bugzilla базата си с данни и я възстановете от резервно копие което
не съдържа таблицата bz_schema. Ако поради някаква причина не можете да направите това можете
свържете към MySQL базата си данни и да махнете таблица bz_schema, като последна
възмоност.
END
    checking_for => 'Проверка за',
    checking_dbd      => 'Проверка на наличните Perl DBD модули...',
    checking_optional => 'Следните Perl модули са незадължителни:',
    checking_modules  => 'Проверка на Perl модули...',
    chmod_failed      => '##path##: Пропадна смяна на права: ##error##',
    chown_failed      => '##path##: Пропадна смяна на собственост: ##error##',
    commands_dbd      => <<EOT,
ТРЯБВА ДА ПУСНЕТЕ ЕДНА ОТ СЛЕДНИТЕ КОМАНДИ (в зависимост от това коя база данни
използвате):
EOT
    commands_optional => 'КОМАНДИ ЗА ИНСТАЛИРАНЕ НА НЕЗАДЪЛЖИТЕЛНИ МОДУЛИ:',
    commands_required => <<EOT,
КОМАНДИ ЗА ИНСТАЛИРАНЕ НА ЗАДЪЛЖИТЕЛНИ МОДУЛИ (*Трябва да* пуснете всички тези команди
и пуснете отново checksetup.pl):
EOT
    continue_without_answers => <<'END',
Пуснете checksetup.pl в интерактивен режим (без 'answers' файл),
за да продължите.
END
    cpan_bugzilla_home => 
        "ПРЕДУПРЕЖДЕНИЕ: Използване на папката на Bugzilla като CPAN домашна папка.",
    db_enum_setup  => "Задаване на избори за стандартни полета тип падащ списък:",
    db_schema_init => "Инициализиране на bz_schema...",
    db_table_new   => "Добавяне на нова таблица ##table##...",
    db_table_setup => "Създаване на таблици...",
    done => 'готово.',
    enter_or_ctrl_c => "Натиснете Enter за продължаване или Ctrl-C за изход...",
    error_localconfig_read => <<'END',
Възникна грешка при четенето ##localconfig## файла.  Текста на
съобщението за грешка е:

##error##

Моля, оправете грешката в файла localconfig. Иначе, преименувайте
localconfig файла си и пуснете checksetup.pl отново, за да го накарате да създаде нов
localconfig файл:

  $ mv -f localconfig localconfig.old
  $ ./checksetup.pl
END
    extension_must_return_name => <<END,
##file## върна ##returned##, което не е правилно име на разширение.
Разширенията трябва да върнат името си, а не <code>1</code> или друго число. Вижте
документацията на Bugzilla::Extension за подробности.
END
    feature_auth_ldap         => 'LDAP удостоверяване',
    feature_auth_radius       => 'RADIUS удостоверяване',
    feature_graphical_reports => 'Графични доклади',
    feature_html_desc         => 'Повече HTML в описанията на Продукт/Група',
    feature_inbound_email     => 'Входяща е-поща',
    feature_jobqueue          => 'Поща във фонов режим',
    feature_jsonrpc           => 'Интерфейс JSON-RPC',
    feature_jsonrpc_faster    => 'Прави JSON-RPC по-бърз',
    feature_new_charts        => 'Нови графики',
    feature_old_charts        => 'Стари графики',
    feature_mod_perl          => 'mod_perl',
    feature_moving            => 'Преместване на бъгове между инсталации',
    feature_patch_viewer      => 'Преглед на кръпки',
    feature_smtp_auth         => 'SMTP удостоверяване',
    feature_updates           => 'Автоматични уведомления за обновяване',
    feature_xmlrpc            => 'Интерфейс XML-RPC',
    feature_detect_charset    => 'Автоматично установяване на кодова таблица за приставки',

    file_remove => 'Премахване на ##name##...',
    file_rename => 'Преименуване от ##from## на ##to##...',
    header => "* Това е Bugzilla ##bz_ver## на perl ##perl_ver##\n"
            . "* Работеща на ##os_name## ##os_ver##",
    install_all => <<EOT,

За да опитате автоматична инсталация на всеки задължителен и незадължителен модул
с една команда, изпълнете:

  ##perl## install-module.pl --all

EOT
    install_data_too_long => <<EOT,
ПРЕДУПРЕЖДЕНИЕ: Някои от данните в колоната ##table##.##column## са по-дълги от
новото ѝ ограничение за дължина от ##max_length## символа. Данните, които трябва да
се оправят са отпечатани отдолу, като първо е стойността на колоната ##id_column##, а
след това е стойността на колоната ##column##, която трябва да се оправи:

EOT
    install_module => 'Инсталиране на ##module## версия ##version##...',
    installation_failed => '*** Провалена инсталация. Прочетете предходното съобщение. ***',
    install_no_compiler => <<END,
ГРЕШКА: Използването на install-module.pl изисква инсталирането на компилатор, като
gcc.
END
    install_no_make => <<END,
ГРЕШКА: Използването на install-module.pl изисква инсталирането на "make".
END
    lc_new_vars => <<'END',
Тази версия на Bugzilla съдържа някои променливи които може да искате да
промените и приспособите към местните си настройки. Следните променливи са
нов за ##localconfig## от последното пускане на checksetup.pl:

##new_vars##

Моля, променете файла ##localconfig## и пуснете отново checksetup.pl
за завършване на инсталацията.
END
    lc_old_vars => <<'END',
Следните променливи вече не се използват в ##localconfig## и
бяха преместени в ##old_file##: ##vars##
END
    localconfig_create_htaccess => <<'END',
Ако използвате Apache като web сървър, Bugzilla може да създаде .htaccess
файлове за вас, което ще предпази този файл (localconfig) и други
поверителни файлове от четенето им през мрежата.

Ако е зададено на 1, checksetup.pl ще създаде .htaccess файлове ако 
те не съществуват.

Ако е зададено на 0, checksetup.pl няма да създаде .htaccess файлове.
END
    localconfig_cvsbin => <<'END',
Ако желаете да използвате интеграцията с CVS на Прегледа на кръпки, моля укажете
пълния път до "cvs" изпълнимия файл тук.
END
    localconfig_db_check => <<'END',
Трябва ли checksetup.pl да се опита да провери дали настройката на базата данни е правилна?
С някои комбинации от сървър за база данни/Perl модули/фази на луната това
не работи, затова можете да опитате да го зададете на 0, за да може checksetup.pl
да мине.
END
    localconfig_db_driver => <<'END',
Каква SQL база данни да се ползва. По подразбиране е mysql. Списък на поддържаните бази данни
може да се получи от съдържанието на Bugzilla/DB справочника - всеки модул отговаря
на една поддържана база данни и името му (преди ".pm")
отговаря на действителна стойност за променливата.
END
    localconfig_db_host => <<'END',
DNS името или IP адреса на хоста на който върви сървъра на бази данни.
END
    localconfig_db_name => <<'END',
Името на базата данни. За Oracle, това е SID на базата данни. За
SQLite, това е име (или път) за DB файла.
END
    localconfig_db_pass => <<'END',
Въведете паролата на базата си дани тук. Нормално се препоръчва да зададете
парола за bugzilla потребителя на базата данни.
Ако използвате апостроф (') или наклонена черта (\) в паролата си, ще
трябва да го избегнете с предхождащ '\' символ. (\') или (\)
(Доста по-просто е просто да не използвате тези символи.)
END
    localconfig_db_port => <<'END',
Понякога сървъра на бази данни работи на нестандартен порт. Ако това
е случая с сървъра ви на бази данни, затайте това с номера на порта на който
сървъра ви на бази данни работи. Задаването с 0 означава "използвай порта по
подразбиране за сървъра ми на бази данни."
END
    localconfig_db_sock => <<'END',
Само за MySQL: Въведете път до unix гнездото за MySQL. Ако е
празно, тогава компилираната стойност по подразбиране в MySQL ще бъде използвана. Вероятно
искате това.
END
    localconfig_db_user => "Като кой се свързваме към базата данни.",
    localconfig_diffpath => <<'END',
За да работи възможността за "Разлики между две кръпки", трябва да се знае
в коя папка е "diff" командата. (Необходимо е да зададете това само ако
използвате тази възможност на Преглед на кръпки.)
END
    localconfig_index_html => <<'END',
Повечето web сървъри ще ви позволят да използвате index.cgi като индексен
указател, а много идват предварително конфигурирани така, но ако вашия не е
тогава ще имате нужда от index.html файл който предоставя пренасочване към
index.cgi. Задаването на $index_html на 1 по-долу ще позволи на
checksetup.pl да създаде index.html за вас ако той не съществува.
ЗАБЕЛЕЖКА: checksetup.pl няма да замени съществуващ файл, така че ако
      искате checksetup.pl да създаде такъв за вас трябва
      да се уверите, че index.html вече не съществува.
END
    localconfig_interdiffbin => <<'END',
Ако желаете да използвате възможността за "Разлика между две кръпки" на
Преглед на кръпки, моля укажете пълния път до "interdiff" изпълнимия файл
тук.
END
    localconfig_site_wide_secret => <<'END',
Тайния ключ се използва от инсталацията ви за създаване и
потвърждаване на кодирани белези. Тези белези се използват за осъществяване на
функционалността за сигурност в Bugzilla, за защита срещу определени видове нападения.
Случаен низ е създаден по подразбиране. Много е важно този ключ
да бъде пазен в тайна. Той също така трябва да е много дълъг.
END
    localconfig_use_suexec => <<'END',
Задайте 1 ако Bugzilla се изпълнява в Apache SuexecUserGroup среда.

Ако web сървъра ви работи с софтуер за контролен панел (cPanel, Plesk или подобен),
или ако Bugzilla е изпълнявана в среда на споделен хостинг, тогава почти
сигурно сте в Apache SuexecUserGroup среда.

Ако това е Windows кутия, пренебрегнете тази настройка, защото не прави нищо.

Ако е зададено 0, checksetup.pl ще зададе файлови права правилно за
нормална web сървър среда.

Ако е зададено 1, checksetup.pl ще зададе файлови права, така че Bugzilla
да работи в SuexecUserGroup среда. 
END
    localconfig_webservergroup => <<'END',
Името на групата с която работи web сървъра ви. На Red Hat
дистрибуции, това е обичайно "apache". На Debian/Ubuntu, тя е 
обичайно "www-data".

Ако имате включен use_suexec по-долу, тогава това е вместо името
на групата към която web сървъра ви превключва за изпълнение на cgi файлове.

Ако това е Windows кутия, пренебрегнете тази настройка, защото не прави нищо.

Ако нямате достъп до групата с която ще се изпълняват скриптовете ви,
задайте с "". Ако не зададете "", тогава Bugzilla инсталацията ви
ще бъде _МНОГО_ несигурна, защото някои файлове ще бъдат четими/променяеми от целия свят,
така че всеки който може да се сдобие с местен достъп до машината ви може да направи каквото
си поиска. Можете да оставите зададено с "" само ако това е тестова инсталация
и не можете да зададете нищо друго. БЯХТЕ ПРЕДУПРЕДЕНИ!

Ако зададете с нещо друго освен "", ще трябва да пуснете checksetup.pl
като ##root## или като потребител който е член на указаната група.
END
    max_allowed_packet => <<EOT,
ПРЕДУПРЕЖДЕНИЕ: Трябва да зададете параметъра max_allowed_packet в MySQL
настройката си до поне ##needed##. В момента той е зададен на ##current##.
Можете да зададете параметъра в секцията [mysqld] на вашия MySQL
файл с настройки.
EOT
    min_version_required => "Необходима минимална версия: ",

# Note: When translating these "modules" messages, don't change the formatting
# if possible, because there is hardcoded formatting in 
# Bugzilla::Install::Requirements to match the box formatting.
    modules_message_apache => <<END,
***********************************************************************
* APACHE МОДУЛИ                                                       *
***********************************************************************
* Обикновено, когато Bugzilla е надградена, всичките ѝ потребители    *
* трябва да изчистят кеша на браузъра си или тя ще се чупи. Ако раз-  *
* решите определени модули в настройката си на Apache (обичайно файл- *
* лове именувани httpd.conf или apache2.conf), тогава няма да има нуж-*
* да потребителите ви да чистят кеша си когато надграждате Bugzilla.  *
* Модулите които трябва да разрешите са:                              *
*                                                                     *
END
    modules_message_db => <<EOT,
***********************************************************************
* ДОСТЪП ДО БАЗИ ДАННИ                                                *
***********************************************************************
* За достъп до базата ви данни, Bugzilla изисква                      *
* правилния "DBD" модул да бъде инсталиран за базата данни която      *
* ползвате. Вижте отдолу за правилната команда пускаща инсталацията   *
* на подходящия модул за вашата база данни.                           *
EOT
    modules_message_optional => <<EOT,
***********************************************************************
* НЕЗАДЪЛЖИТЕЛНИ МОДУЛИ                                               *
***********************************************************************
* Определени Perl модули не са задължителни за Bugzilla, но с         *
* инсталиране на последната версия получавате достъп до допълнителни  *
* възможности.                                                        *
*                                                                     *
* Незадължителните модули които нямате инсталирани са показани        *
* отдолу, с името на възможността която разрешават. Под тази таблица  *
* са командите за инсталирането на всеки модул.                       *
EOT
    modules_message_required => <<EOT,
***********************************************************************
* ЗАДЪЛЖИТЕЛНИ МОДУЛИ                                                 *
***********************************************************************
* Bugzilla изисква да инсталирате някои Perl модули които или         *
* липсват на системата ви, или версията е твърде стара.               *
* Вижте отдолу за команди за инсталирането им.                        *
EOT

    module_found => "открита v##ver##",
    module_not_found => "не е открит",
    module_ok => 'ok',
    module_unknown_version => "открита непозната версия",
    no_such_module => "Не съществува Perl модул в CPAN с име ##module##.",
    mysql_innodb_disabled => <<'END',
InnoDB е забранена в MySQL инсталацията ви.
Bugzilla изисква InnoDB да бъде разрешена.
Моля, разрешете я и пуснете отново checksetup.pl.
END
    mysql_index_renaming => <<'END',
Предстои преименуване на стари индекси. Очакваното време за извършване на
преименуване е ##minutes## минути. Не можете да прекъснете действието веднъж
след като е започнало. Ако желаете да отмените, натиснете Ctrl-C сега...
(Чакане 45 секунди...)
END
    mysql_utf8_conversion => <<'END',
ПРЕДУПРЕЖДЕНИЕ: Предстои превръщане на формата за съхранение на таблиците ви в UTF-8. Това
         позволява на Bugzilla да съхранява правилно и подрежда международни символи.
         Обаче, ако имате някакви различни от UTF-8 данни в базата ви данни,
         те ***ЩЕ БЪДАТ ИЗТРИТИ*** от този процес. Така че, преди
         да продължите с checksetup.pl, ако имате някакви различни от UTF-8
         данни (или дори да не сте сигурни) трябва да натиснете Ctrl-C сега,
         за да прекъснете checksetup.pl и пуснете contrib/recode.pl да направи всички
         в базата ви данни в UTF-8. Трябва също да направите резервно копие на
         базата си с данни преди да продължите. Това ще се отрази на всяка отделна таблица
         в базата данни, дори на не-Bugzilla таблици.

         Ако някога сте използвали версия на Bugzilla преди 2.22, СИЛНО
         препоръчваме да спрете checksetup.pl СЕГА и пуснете contrib/recode.pl.
END
    no_checksetup_from_cgi => <<END,
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
          "http://www.w3.org/TR/html4/strict.dtd">
<html>
  <head>
    <title>checksetup.pl не може да работи в web търсачка</title>
  </head>

  <body>
    <h1>checksetup.pl не може да работи в web търсачка</h1>
    <p>
      <b>Не трябва</b> изпълнявате този скрипт от web търсачката си.
      За да инсталирате или надградите Bugzilla, пуснете скрипта от
      командния ред (напр. <tt>bash</tt> или <tt>ssh</tt> под Linux
      или <tt>cmd.exe</tt> под Windows) и следвайте указанията дадени там.
    </p>

    <p>
      За повече информация как да инсталирате Bugzilla, моля
      <a href="http://www.bugzilla.org/docs/">прочетете документацията</a>
      достъпна от официалната страница на Bugzilla.
    </p>
  </body>
</html>
END
    patchutils_missing => <<'END',
НЕЗАДЪЛЖИТЕЛНА ЗАБЕЛЕЖКА: Ако желаете да можете да използвате възможността за 'разлика между
две кръпки' на Bugzilla (която изисква Perl модула PatchReader
също така), трябва да инсталирате patchutils от:

    http://cyberelk.net/tim/patchutils/
END
    ppm_repo_add => <<EOT,
***********************************************************************
* Забележка за Windows потребители                                    *
***********************************************************************
* За да инсталирате модулите показани отдолу, първо трябва да пуснете * 
* следната команда като Administrator:                                *
*                                                                     *
*   ppm repo add theory58S ##theory_url##
EOT
    ppm_repo_up => <<EOT,
*                                                                     *
* След това трябва да направите (също като Administrator):            *
*                                                                     *
*   ppm repo up theory58S                                             *
*                                                                     *
* Пуснете последната команда отново и отново докато видите            *
* "theory58S" в началото на показания списък.                         *
EOT
    template_precompile   => "Предварителна компилация на шаблони...",
    template_removal_failed => <<END,
ПРЕДУПРЕЖДЕНИЕ: Папката '##template_cache##' не може да бъде премахната.
         Тя беше преместена в '##deleteme##', като трябва да бъде
         изтрита ръчно за икономия на дисково пространство.
END
    template_removing_dir => "Премахване на съществуващите компилирани шаблони...",
    update_cf_invalid_name => 
        "Премахване на потребителско поле '##field##', защото има недействително име...",
    update_flags_bad_name => <<'END',
"##flag##" не е действително име за флаг. Преименувайте го така, че да няма никакви интервали
или запетаии.
END
    update_nomail_bad => <<'END',
ПРЕДУПРЕЖДЕНИЕ: Следните потребители бяха описани в ##data##/nomail, но
нямат сметка тук. Неотговарящите описания бяха преместени в 
##data##/nomail.bad:
END
    update_summary_truncate_comment => 
        "Изначалната стойност на полето Резюме беше по-дълга от 255"
        . " символа и затова беше отрязана при надграждане."
        . " Изначалното резюме беше:\n\n##summary##",
    update_summary_truncated => <<'END',
ПРЕДУПРЕЖДЕНИЕ: Някои от бъговете ви имат резюмета по-дълги от 255 символа.
Тяхното изначално резюме беше копирано в коментар и тогава
резюмето беше отрязано до 255 символа. Номерата на засегнатите бъгове са:
END
    update_quips => <<'END',
Остроумия сега са съхраняват в базата данни, вместо във външен файл.
Остроумията преди съхранявани в ##data##/comments бяха копирани в
базата с данни, а файла беше преименуван на ##data##/comments.bak
Можете да изтриете преименувания файл веднъж след като се уверите, че всичките ви
остроумия са преместени успешно.
END
    update_queries_to_tags => "Попълване на новата 'tag' таблица:",
    webdot_bad_htaccess => <<END,
ПРЕДУПРЕЖДЕНИЕ: Изображенията с графики на зависимости не са достъпни.
Изтрийте ##dir##/.htaccess и пуснете отново checksetup.pl.
END
);

1;
